Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network28.2.0.0/22
Usable hosts1,022
Subnet mask255.255.252.0
Addresses1,024
Network address
28.2.0.0
Broadcast address
28.2.3.255
First usable
28.2.0.1
Last usable
28.2.3.254
Usable hosts
1,022 (1,024 less the network and broadcast addresses)
Subnet mask
255.255.252.0
Wildcard mask
0.0.3.255 (Cisco ACLs, OSPF)
Prefix length
/22
Type
Public public
Old class
A (default /8)
As numbers
Hex 1C020000 · Integer 469893120 to 469894143
Reverse DNS zones
0.2.28.in-addr.arpa
1.2.28.in-addr.arpa
2.2.28.in-addr.arpa
3.2.28.in-addr.arpa
/22 is not on a 8-bit boundary, so it takes 4 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00011100.00000010.00000000.0000000028.2.0.0
Subnet mask11111111.11111111.11111100.00000000255.255.252.0
Network00011100.00000010.00000000.0000000028.2.0.0
Broadcast00011100.00000010.00000011.1111111128.2.3.255
Split into smaller subnets/32

28.2.0.0/22 makes 1,024 subnets of /32; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
128.2.0.0/3228.2.0.0 to 28.2.0.0—1
228.2.0.1/3228.2.0.1 to 28.2.0.1—1
328.2.0.2/3228.2.0.2 to 28.2.0.2—1
428.2.0.3/3228.2.0.3 to 28.2.0.3—1
528.2.0.4/3228.2.0.4 to 28.2.0.4—1
628.2.0.5/3228.2.0.5 to 28.2.0.5—1
728.2.0.6/3228.2.0.6 to 28.2.0.6—1
828.2.0.7/3228.2.0.7 to 28.2.0.7—1
928.2.0.8/3228.2.0.8 to 28.2.0.8—1
1028.2.0.9/3228.2.0.9 to 28.2.0.9—1
1128.2.0.10/3228.2.0.10 to 28.2.0.10—1
1228.2.0.11/3228.2.0.11 to 28.2.0.11—1
1328.2.0.12/3228.2.0.12 to 28.2.0.12—1
1428.2.0.13/3228.2.0.13 to 28.2.0.13—1
1528.2.0.14/3228.2.0.14 to 28.2.0.14—1
1628.2.0.15/3228.2.0.15 to 28.2.0.15—1
1728.2.0.16/3228.2.0.16 to 28.2.0.16—1
1828.2.0.17/3228.2.0.17 to 28.2.0.17—1
1928.2.0.18/3228.2.0.18 to 28.2.0.18—1
2028.2.0.19/3228.2.0.19 to 28.2.0.19—1
2128.2.0.20/3228.2.0.20 to 28.2.0.20—1
2228.2.0.21/3228.2.0.21 to 28.2.0.21—1
2328.2.0.22/3228.2.0.22 to 28.2.0.22—1
2428.2.0.23/3228.2.0.23 to 28.2.0.23—1
2528.2.0.24/3228.2.0.24 to 28.2.0.24—1
2628.2.0.25/3228.2.0.25 to 28.2.0.25—1
2728.2.0.26/3228.2.0.26 to 28.2.0.26—1
2828.2.0.27/3228.2.0.27 to 28.2.0.27—1
2928.2.0.28/3228.2.0.28 to 28.2.0.28—1
3028.2.0.29/3228.2.0.29 to 28.2.0.29—1
3128.2.0.30/3228.2.0.30 to 28.2.0.30—1
3228.2.0.31/3228.2.0.31 to 28.2.0.31—1
3328.2.0.32/3228.2.0.32 to 28.2.0.32—1
3428.2.0.33/3228.2.0.33 to 28.2.0.33—1
3528.2.0.34/3228.2.0.34 to 28.2.0.34—1
3628.2.0.35/3228.2.0.35 to 28.2.0.35—1
3728.2.0.36/3228.2.0.36 to 28.2.0.36—1
3828.2.0.37/3228.2.0.37 to 28.2.0.37—1
3928.2.0.38/3228.2.0.38 to 28.2.0.38—1
4028.2.0.39/3228.2.0.39 to 28.2.0.39—1
4128.2.0.40/3228.2.0.40 to 28.2.0.40—1
4228.2.0.41/3228.2.0.41 to 28.2.0.41—1
4328.2.0.42/3228.2.0.42 to 28.2.0.42—1
4428.2.0.43/3228.2.0.43 to 28.2.0.43—1
4528.2.0.44/3228.2.0.44 to 28.2.0.44—1
4628.2.0.45/3228.2.0.45 to 28.2.0.45—1
4728.2.0.46/3228.2.0.46 to 28.2.0.46—1
4828.2.0.47/3228.2.0.47 to 28.2.0.47—1
4928.2.0.48/3228.2.0.48 to 28.2.0.48—1
5028.2.0.49/3228.2.0.49 to 28.2.0.49—1
5128.2.0.50/3228.2.0.50 to 28.2.0.50—1
5228.2.0.51/3228.2.0.51 to 28.2.0.51—1
5328.2.0.52/3228.2.0.52 to 28.2.0.52—1
5428.2.0.53/3228.2.0.53 to 28.2.0.53—1
5528.2.0.54/3228.2.0.54 to 28.2.0.54—1
5628.2.0.55/3228.2.0.55 to 28.2.0.55—1
5728.2.0.56/3228.2.0.56 to 28.2.0.56—1
5828.2.0.57/3228.2.0.57 to 28.2.0.57—1
5928.2.0.58/3228.2.0.58 to 28.2.0.58—1
6028.2.0.59/3228.2.0.59 to 28.2.0.59—1
6128.2.0.60/3228.2.0.60 to 28.2.0.60—1
6228.2.0.61/3228.2.0.61 to 28.2.0.61—1
6328.2.0.62/3228.2.0.62 to 28.2.0.62—1
6428.2.0.63/3228.2.0.63 to 28.2.0.63—1
6528.2.0.64/3228.2.0.64 to 28.2.0.64—1
6628.2.0.65/3228.2.0.65 to 28.2.0.65—1
6728.2.0.66/3228.2.0.66 to 28.2.0.66—1
6828.2.0.67/3228.2.0.67 to 28.2.0.67—1
6928.2.0.68/3228.2.0.68 to 28.2.0.68—1
7028.2.0.69/3228.2.0.69 to 28.2.0.69—1
7128.2.0.70/3228.2.0.70 to 28.2.0.70—1
7228.2.0.71/3228.2.0.71 to 28.2.0.71—1
7328.2.0.72/3228.2.0.72 to 28.2.0.72—1
7428.2.0.73/3228.2.0.73 to 28.2.0.73—1
7528.2.0.74/3228.2.0.74 to 28.2.0.74—1
7628.2.0.75/3228.2.0.75 to 28.2.0.75—1
7728.2.0.76/3228.2.0.76 to 28.2.0.76—1
7828.2.0.77/3228.2.0.77 to 28.2.0.77—1
7928.2.0.78/3228.2.0.78 to 28.2.0.78—1
8028.2.0.79/3228.2.0.79 to 28.2.0.79—1
8128.2.0.80/3228.2.0.80 to 28.2.0.80—1
8228.2.0.81/3228.2.0.81 to 28.2.0.81—1
8328.2.0.82/3228.2.0.82 to 28.2.0.82—1
8428.2.0.83/3228.2.0.83 to 28.2.0.83—1
8528.2.0.84/3228.2.0.84 to 28.2.0.84—1
8628.2.0.85/3228.2.0.85 to 28.2.0.85—1
8728.2.0.86/3228.2.0.86 to 28.2.0.86—1
8828.2.0.87/3228.2.0.87 to 28.2.0.87—1
8928.2.0.88/3228.2.0.88 to 28.2.0.88—1
9028.2.0.89/3228.2.0.89 to 28.2.0.89—1
9128.2.0.90/3228.2.0.90 to 28.2.0.90—1
9228.2.0.91/3228.2.0.91 to 28.2.0.91—1
9328.2.0.92/3228.2.0.92 to 28.2.0.92—1
9428.2.0.93/3228.2.0.93 to 28.2.0.93—1
9528.2.0.94/3228.2.0.94 to 28.2.0.94—1
9628.2.0.95/3228.2.0.95 to 28.2.0.95—1
9728.2.0.96/3228.2.0.96 to 28.2.0.96—1
9828.2.0.97/3228.2.0.97 to 28.2.0.97—1
9928.2.0.98/3228.2.0.98 to 28.2.0.98—1
10028.2.0.99/3228.2.0.99 to 28.2.0.99—1
10128.2.0.100/3228.2.0.100 to 28.2.0.100—1
10228.2.0.101/3228.2.0.101 to 28.2.0.101—1
10328.2.0.102/3228.2.0.102 to 28.2.0.102—1
10428.2.0.103/3228.2.0.103 to 28.2.0.103—1
10528.2.0.104/3228.2.0.104 to 28.2.0.104—1
10628.2.0.105/3228.2.0.105 to 28.2.0.105—1
10728.2.0.106/3228.2.0.106 to 28.2.0.106—1
10828.2.0.107/3228.2.0.107 to 28.2.0.107—1
10928.2.0.108/3228.2.0.108 to 28.2.0.108—1
11028.2.0.109/3228.2.0.109 to 28.2.0.109—1
11128.2.0.110/3228.2.0.110 to 28.2.0.110—1
11228.2.0.111/3228.2.0.111 to 28.2.0.111—1
11328.2.0.112/3228.2.0.112 to 28.2.0.112—1
11428.2.0.113/3228.2.0.113 to 28.2.0.113—1
11528.2.0.114/3228.2.0.114 to 28.2.0.114—1
11628.2.0.115/3228.2.0.115 to 28.2.0.115—1
11728.2.0.116/3228.2.0.116 to 28.2.0.116—1
11828.2.0.117/3228.2.0.117 to 28.2.0.117—1
11928.2.0.118/3228.2.0.118 to 28.2.0.118—1
12028.2.0.119/3228.2.0.119 to 28.2.0.119—1
12128.2.0.120/3228.2.0.120 to 28.2.0.120—1
12228.2.0.121/3228.2.0.121 to 28.2.0.121—1
12328.2.0.122/3228.2.0.122 to 28.2.0.122—1
12428.2.0.123/3228.2.0.123 to 28.2.0.123—1
12528.2.0.124/3228.2.0.124 to 28.2.0.124—1
12628.2.0.125/3228.2.0.125 to 28.2.0.125—1
12728.2.0.126/3228.2.0.126 to 28.2.0.126—1
12828.2.0.127/3228.2.0.127 to 28.2.0.127—1
12928.2.0.128/3228.2.0.128 to 28.2.0.128—1
13028.2.0.129/3228.2.0.129 to 28.2.0.129—1
13128.2.0.130/3228.2.0.130 to 28.2.0.130—1
13228.2.0.131/3228.2.0.131 to 28.2.0.131—1
13328.2.0.132/3228.2.0.132 to 28.2.0.132—1
13428.2.0.133/3228.2.0.133 to 28.2.0.133—1
13528.2.0.134/3228.2.0.134 to 28.2.0.134—1
13628.2.0.135/3228.2.0.135 to 28.2.0.135—1
13728.2.0.136/3228.2.0.136 to 28.2.0.136—1
13828.2.0.137/3228.2.0.137 to 28.2.0.137—1
13928.2.0.138/3228.2.0.138 to 28.2.0.138—1
14028.2.0.139/3228.2.0.139 to 28.2.0.139—1
14128.2.0.140/3228.2.0.140 to 28.2.0.140—1
14228.2.0.141/3228.2.0.141 to 28.2.0.141—1
14328.2.0.142/3228.2.0.142 to 28.2.0.142—1
14428.2.0.143/3228.2.0.143 to 28.2.0.143—1
14528.2.0.144/3228.2.0.144 to 28.2.0.144—1
14628.2.0.145/3228.2.0.145 to 28.2.0.145—1
14728.2.0.146/3228.2.0.146 to 28.2.0.146—1
14828.2.0.147/3228.2.0.147 to 28.2.0.147—1
14928.2.0.148/3228.2.0.148 to 28.2.0.148—1
15028.2.0.149/3228.2.0.149 to 28.2.0.149—1
15128.2.0.150/3228.2.0.150 to 28.2.0.150—1
15228.2.0.151/3228.2.0.151 to 28.2.0.151—1
15328.2.0.152/3228.2.0.152 to 28.2.0.152—1
15428.2.0.153/3228.2.0.153 to 28.2.0.153—1
15528.2.0.154/3228.2.0.154 to 28.2.0.154—1
15628.2.0.155/3228.2.0.155 to 28.2.0.155—1
15728.2.0.156/3228.2.0.156 to 28.2.0.156—1
15828.2.0.157/3228.2.0.157 to 28.2.0.157—1
15928.2.0.158/3228.2.0.158 to 28.2.0.158—1
16028.2.0.159/3228.2.0.159 to 28.2.0.159—1
16128.2.0.160/3228.2.0.160 to 28.2.0.160—1
16228.2.0.161/3228.2.0.161 to 28.2.0.161—1
16328.2.0.162/3228.2.0.162 to 28.2.0.162—1
16428.2.0.163/3228.2.0.163 to 28.2.0.163—1
16528.2.0.164/3228.2.0.164 to 28.2.0.164—1
16628.2.0.165/3228.2.0.165 to 28.2.0.165—1
16728.2.0.166/3228.2.0.166 to 28.2.0.166—1
16828.2.0.167/3228.2.0.167 to 28.2.0.167—1
16928.2.0.168/3228.2.0.168 to 28.2.0.168—1
17028.2.0.169/3228.2.0.169 to 28.2.0.169—1
17128.2.0.170/3228.2.0.170 to 28.2.0.170—1
17228.2.0.171/3228.2.0.171 to 28.2.0.171—1
17328.2.0.172/3228.2.0.172 to 28.2.0.172—1
17428.2.0.173/3228.2.0.173 to 28.2.0.173—1
17528.2.0.174/3228.2.0.174 to 28.2.0.174—1
17628.2.0.175/3228.2.0.175 to 28.2.0.175—1
17728.2.0.176/3228.2.0.176 to 28.2.0.176—1
17828.2.0.177/3228.2.0.177 to 28.2.0.177—1
17928.2.0.178/3228.2.0.178 to 28.2.0.178—1
18028.2.0.179/3228.2.0.179 to 28.2.0.179—1
18128.2.0.180/3228.2.0.180 to 28.2.0.180—1
18228.2.0.181/3228.2.0.181 to 28.2.0.181—1
18328.2.0.182/3228.2.0.182 to 28.2.0.182—1
18428.2.0.183/3228.2.0.183 to 28.2.0.183—1
18528.2.0.184/3228.2.0.184 to 28.2.0.184—1
18628.2.0.185/3228.2.0.185 to 28.2.0.185—1
18728.2.0.186/3228.2.0.186 to 28.2.0.186—1
18828.2.0.187/3228.2.0.187 to 28.2.0.187—1
18928.2.0.188/3228.2.0.188 to 28.2.0.188—1
19028.2.0.189/3228.2.0.189 to 28.2.0.189—1
19128.2.0.190/3228.2.0.190 to 28.2.0.190—1
19228.2.0.191/3228.2.0.191 to 28.2.0.191—1
19328.2.0.192/3228.2.0.192 to 28.2.0.192—1
19428.2.0.193/3228.2.0.193 to 28.2.0.193—1
19528.2.0.194/3228.2.0.194 to 28.2.0.194—1
19628.2.0.195/3228.2.0.195 to 28.2.0.195—1
19728.2.0.196/3228.2.0.196 to 28.2.0.196—1
19828.2.0.197/3228.2.0.197 to 28.2.0.197—1
19928.2.0.198/3228.2.0.198 to 28.2.0.198—1
20028.2.0.199/3228.2.0.199 to 28.2.0.199—1
20128.2.0.200/3228.2.0.200 to 28.2.0.200—1
20228.2.0.201/3228.2.0.201 to 28.2.0.201—1
20328.2.0.202/3228.2.0.202 to 28.2.0.202—1
20428.2.0.203/3228.2.0.203 to 28.2.0.203—1
20528.2.0.204/3228.2.0.204 to 28.2.0.204—1
20628.2.0.205/3228.2.0.205 to 28.2.0.205—1
20728.2.0.206/3228.2.0.206 to 28.2.0.206—1
20828.2.0.207/3228.2.0.207 to 28.2.0.207—1
20928.2.0.208/3228.2.0.208 to 28.2.0.208—1
21028.2.0.209/3228.2.0.209 to 28.2.0.209—1
21128.2.0.210/3228.2.0.210 to 28.2.0.210—1
21228.2.0.211/3228.2.0.211 to 28.2.0.211—1
21328.2.0.212/3228.2.0.212 to 28.2.0.212—1
21428.2.0.213/3228.2.0.213 to 28.2.0.213—1
21528.2.0.214/3228.2.0.214 to 28.2.0.214—1
21628.2.0.215/3228.2.0.215 to 28.2.0.215—1
21728.2.0.216/3228.2.0.216 to 28.2.0.216—1
21828.2.0.217/3228.2.0.217 to 28.2.0.217—1
21928.2.0.218/3228.2.0.218 to 28.2.0.218—1
22028.2.0.219/3228.2.0.219 to 28.2.0.219—1
22128.2.0.220/3228.2.0.220 to 28.2.0.220—1
22228.2.0.221/3228.2.0.221 to 28.2.0.221—1
22328.2.0.222/3228.2.0.222 to 28.2.0.222—1
22428.2.0.223/3228.2.0.223 to 28.2.0.223—1
22528.2.0.224/3228.2.0.224 to 28.2.0.224—1
22628.2.0.225/3228.2.0.225 to 28.2.0.225—1
22728.2.0.226/3228.2.0.226 to 28.2.0.226—1
22828.2.0.227/3228.2.0.227 to 28.2.0.227—1
22928.2.0.228/3228.2.0.228 to 28.2.0.228—1
23028.2.0.229/3228.2.0.229 to 28.2.0.229—1
23128.2.0.230/3228.2.0.230 to 28.2.0.230—1
23228.2.0.231/3228.2.0.231 to 28.2.0.231—1
23328.2.0.232/3228.2.0.232 to 28.2.0.232—1
23428.2.0.233/3228.2.0.233 to 28.2.0.233—1
23528.2.0.234/3228.2.0.234 to 28.2.0.234—1
23628.2.0.235/3228.2.0.235 to 28.2.0.235—1
23728.2.0.236/3228.2.0.236 to 28.2.0.236—1
23828.2.0.237/3228.2.0.237 to 28.2.0.237—1
23928.2.0.238/3228.2.0.238 to 28.2.0.238—1
24028.2.0.239/3228.2.0.239 to 28.2.0.239—1
24128.2.0.240/3228.2.0.240 to 28.2.0.240—1
24228.2.0.241/3228.2.0.241 to 28.2.0.241—1
24328.2.0.242/3228.2.0.242 to 28.2.0.242—1
24428.2.0.243/3228.2.0.243 to 28.2.0.243—1
24528.2.0.244/3228.2.0.244 to 28.2.0.244—1
24628.2.0.245/3228.2.0.245 to 28.2.0.245—1
24728.2.0.246/3228.2.0.246 to 28.2.0.246—1
24828.2.0.247/3228.2.0.247 to 28.2.0.247—1
24928.2.0.248/3228.2.0.248 to 28.2.0.248—1
25028.2.0.249/3228.2.0.249 to 28.2.0.249—1
25128.2.0.250/3228.2.0.250 to 28.2.0.250—1
25228.2.0.251/3228.2.0.251 to 28.2.0.251—1
25328.2.0.252/3228.2.0.252 to 28.2.0.252—1
25428.2.0.253/3228.2.0.253 to 28.2.0.253—1
25528.2.0.254/3228.2.0.254 to 28.2.0.254—1
25628.2.0.255/3228.2.0.255 to 28.2.0.255—1

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses